﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_fill_contain
{
    public static class Extensions
    {
        public static void DrawDot(this Graphics gr, PointF point,
            float radius, Brush brush, Pen pen)
        {
            RectangleF rect = new RectangleF(
                point.X - radius, point.Y - radius,
                2 * radius, 2 * radius);
            gr.FillEllipse(brush, rect);
            gr.DrawEllipse(pen, rect);
        }
    }
}
